import { EventEmitter, OnInit } from '@angular/core';
import { DialogComponent } from '../dialog.component';
import { TypographyType } from '../../../atoms/typography/TypographyType';
import * as i0 from "@angular/core";
export declare class DialogTitlebarComponent implements OnInit {
    dialogComponent: DialogComponent;
    title: string;
    titleFont: TypographyType;
    closeDialog: EventEmitter<any>;
    hideCloseIcon: boolean;
    constructor(dialogComponent: DialogComponent);
    ngOnInit(): void;
    close(): void;
    closeBtn(): "dialog-title" | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogTitlebarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DialogTitlebarComponent, "lib-dialog-titlebar", never, { "title": { "alias": "title"; "required": false; }; "titleFont": { "alias": "titleFont"; "required": false; }; "hideCloseIcon": { "alias": "hideCloseIcon"; "required": false; }; }, { "closeDialog": "closeDialog"; }, never, never, false, never>;
}
